﻿.characteristics {
    width: 400px !important;
    height: 600px;
    position: relative;
    background: rgba(0, 0, 0, 0.81);
    border: 1px solid #fff;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    color: beige;
    margin: 15px;
    position: relative;
    display: flex;
    grid-area: characteristics;
}

.doll-link {
    margin-left: 15px;
    outline: none;
    font-size: 16px;
    color: beige;
    font-size: 18px;
    align-self: center;
    margin: 0;
    margin-top: 5px;
}

    .characteristics div {
        display: flex;
    }

    .characteristics .input-small {
        width: 25px;
        height: 25px;
    }

    .characteristics .input-med {
        width: 30px;
        height: 25px;
    }

    .characteristics .input-big {
        width: 55px;
        height: 25px;
    }

    .characteristics .progressBar {
        flex: 1;
        background: #000;
        background: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.6474964985994398) 66%, rgba(255, 255, 255, 1) 100%);
        height: 10px;
        border-radius: 5px;
        margin: 5px;
    }

        .characteristics .progressBar.lime {
            background: linear-gradient(90deg, lime, rgba(0, 0, 0, 0.6474964985994398) 66%);
        }

        .characteristics .progressBar.red {
            background: linear-gradient(90deg, red, rgba(0, 0, 0, 0.6474964985994398) 66%);
        }

        .characteristics .progressBar.gold {
            background: linear-gradient(90deg, gold, rgba(0, 0, 0, 0.6474964985994398) 66%);
        }

        .characteristics .progressBar.sky {
            background: linear-gradient(90deg, skyblue, rgba(0, 0, 0, 0.6474964985994398) 66%);
        }

        .characteristics .progressBar.not-fit {
            background: linear-gradient(90deg, red, rgba(0, 0, 0, 0.6474964985994398) 66%);
            box-shadow: 0 0px 12px 4px rgb(255 0 0);
            -webkit-box-shadow: 0 0px 12px 4px rgb(255 0 0);
            -moz-box-shadow: 0 0px 12px 4px rgb(255 0 0);
        }

        .characteristics .progressBar.equip-fit {
            background: linear-gradient(90deg, rgb(255 255 0), rgba(0, 0, 0, 0.6474964985994398) 66%);
            box-shadow: 0 0px 12px 4px rgb(255 255 0);
            -webkit-box-shadow: 0 0px 12px 4px rgb(255 255 0);
            -moz-box-shadow: 0 0px 12px 4px rgb(255 255 0);
        }
